Update a Monomer
Update a Monomer.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
monomer_id
Query parameters
returning
Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.
Request
This endpoint expects an object.
color
The hex color code of the monomer visual symbol
customMolecularWeight
Optional molecular weight value that the user can provide to override the calculated molecular weight
name
Name of the monomer
smiles
The chemical structure in SMILES format.
symbol
User-defined identifier of the monomer, unique on the monomer type.
visualSymbol
The shape of the monomer visual symbol.
Response
OK
archiveRecord
attachmentPoints
A list of the capping group present at each location where the monomer can form a bond with other monomers
calculatedMolecularWeight
The molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure
canonicalSmiles
The canonicalized chemical structure in SMILES format.
createdAt
DateTime the monomer was created.
customMolecularWeight
Optional molecular weight value that the user can provide to override the calculated molecular weight
exactMolecularWeight
The exact molecular weight of the monomer as calculated by RDKit based on the monomer chemical structure
id
ID of the monomer
modifiedAt
DateTime the monomer was last modified.
monomerType
The part of the nucleotide structure that the monomer fits into, i.e. backbone or branch
Allowed values:
name
Name of the monomer
naturalAnalog
Symbol for the natural equivalent of the monomer. Acceptable natural analog values include IUPAC bases, r, and p.
originalSmiles
The original chemical structure supplied by the user in SMILES format. Null if the user did not originally supply SMILES.
polymerType
The polymer type of the monomer. Currently only RNA monomers are supported.
Allowed values:
symbol
User-defined identifier of the monomer, unique on the monomer type.
visualColor
The hex color code of the monomer visual symbol
visualSymbol
The shape of the monomer visual symbol.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error